.background{
    height: 48vh;
    width: 100%;
    box-sizing: border-box;
    background-color: $gris2;
    position: relative;
    
}

.register{
    width: 40vw;
    margin: 40px auto;
    position: absolute;
    top: 0;
    left: 30vw;
    right: 40vw;
    box-sizing: border-box;
    border-radius: 24px;

    header{
        width: 100%;
        box-sizing: border-box;
        display: flex;

        .background1, .background2{
            width: 50%;
            box-sizing: border-box;
        }
        .background1{

            .login-button1{
                width: 100%;
                background-color: $violet;
                height: fit-content;
                border-top-left-radius: 24px;

                .login-button2{
                    width: 100%;
                    background-color: $blanc;
                    box-sizing: border-box;
                    padding: 10px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    padding: 24px 0;   
                    border-top-left-radius: 24px;
                    border-top-right-radius: 24px;

                    a{
                        width: fit-content;
                        text-align: center;
                        font-size: 18px;
                        text-transform: uppercase;
                        text-decoration: none;
                        color: $noir;
                    }
                }
            }
        }
        .background2{
            background-color: $blanc;
            border-top-right-radius: 24px;

            .register-button1{
                width: 100%;
                background-color: $blanc;
                height: fit-content;
                border-top-right-radius: 24px;

                .register-button2{
                    width: 100%;
                    background-color: $violet;
                    box-sizing: border-box;
                    padding: 10px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    padding: 24px 0;   
                    border-top-right-radius: 24px;
                    border-bottom-left-radius: 24px;


                    a{
                        width: fit-content;
                        text-align: center;
                        color: $blanc;
                        font-size: 18px;
                        text-transform: uppercase;
                        text-decoration: none;
                        color: $blanc;
                    }
                }
            }
        }
    }
    .form-content{
        width: 100%;
        box-sizing: border-box;
        padding: 40px 0;
        background-color: $blanc;
        border-bottom-left-radius: 24px ;
        border-bottom-right-radius: 24px ;


        .form-structure{
            display: flex;
            flex-direction: column;
            box-sizing: border-box;
            gap: 24px;
            padding: 16px 80px;
            

            div{
                display: flex;
                flex-direction: column;


                label{
                    color: $noir;
                    margin-bottom: 8px;
                }
                input{
                    display: inline;
                    background-color: $violet;
                    padding: 16px 16px;
                    box-sizing: border-box;
                    border-radius: 16px;
                    border: 1px solid $gris2;
                    background: $blanc;

                    &:focus{
                        background-color: $blanc;
                    }
                    &:active{
                        border: none;
                        background-color: $blanc;
                    }
                }
            }

            .validate{
                width: fit-content;
                margin: 0 auto;
                padding: 16px 32px;
                background-color: $violet;
                color: $blanc;
                border-radius: 16px;
                border: none;
                text-transform: uppercase;
                font-family: 'Bronova', sans-serif;
                cursor: pointer;
            }
        }
    }
}